Subject: [MSEC] Re: Tesla source authentication in GDOI draft

From: Mark Baugher <[email-masked]>
Date: Thu, 20 Jun 2002 09:46:57 -0700

hi Adrian,
   We have a GDOI-TESLA proposal and posted that proposal
over a year ago in a GDOI appendix.  We removed that
appendix to avoid the issue of referencing an expired
I-D in a standards-track I-D, which is what GDOI is now.

   I'd like to resume work from that appendix, since
it has been reviewed by you and other.  I posted it:
http://www.rdrop.com/users/mbaugher/I-D/Old-Tesla-appendix.txt

At 09:25 AM 6/20/2002 -0700, Adrian Perrig wrote:
>Hi,
>we're now working on the TESLA drafts and we would like to discuss the
>interactions between GDOI and TESLA. Ideally, the current version of
>GDOI would also specify the parameter setup for TESLA, as version 2 of
>the draft did (draft-ietf-msec-gdoi-02.txt). We would be happy to
>collaborate with you to work out these details. If you like, we can
>have a phone meeting next week (Thursday or Friday would be good for
>me).
>
>We're also working on an standard implementation. Ideally, our
>implementation would be interoperable with the GDOI implementation,
>and we also be happy to collaborate with you on that as well.
>
>We feel that such collaboration would strengthen both GDOI and TESLA,
>and speed up adoption for both. Let us know what you think. Best
>wishes,
>   Adrian
>
>PS: Here's a preliminary list of parameters/return values for TESLA.
>
>SENDERS_CERT_TYPE
>SENDERS_CERT
>REQUEST_ARRIVAL_TIME (NTP format, for direct time synchronization)
>REQUEST_NONCE        (Nonce that receiver sent in request)
>CLOCK_SKEW           (Determines how often receivers re-synchronize clocks)

And here's the TESLA table (in ISAKMP TLV) from
http://www.rdrop.com/users/mbaugher/I-D/Old-Tesla-appendix.txt

A.3 TESLA SA TEK Attributes The attributes for the
source authentication algorithm follow the MESP/AMESP SA
TEK attributes. These are for TESLA.

ID Class Value Type
-------- ----- ----
RESERVED 0
SOURCE_ID 64 B
DIRECT_SYNCHRONIZATION 65 B
SENDERS_CERT_TYPE 66 B
SENDERS_CERT 67 V
HMAC_TYPE 68 B
KEY_CHAIN_PRF 69 B
INTERVAL_TIME 70 V
INTERVAL_NUMBER 71 V
INTERVAL_DURATION 72 V
KEY_DISCLOSURE_DELAY 73 V
KEY_CHAIN_COMMITMENT_VALUE 74 V
KEY_CHAIN_EXPIRATION_VALUE 75 V

Are we on the same page?

cheers, Mark

>Crypto algorithms, all specify [input and] output sizes in bits:
>MAC_FUNCTION
>KEY_CHAIN_GENERATION_FUNCTION
>MAC_KEY_DERIVATION_FUNCTION
>
>Interval information:
>INTERVAL_NUMBER      (An interval of which the key can be disclosed)
>INTERVAL_START_TIME  (Of the interval with INTERVAL_NUMBER, NTP format)
>INTERVAL_DURATION    (NTP format)
>
>Keychain parameters:
>KEY_DISCLOSURE_DELAY (Number of intervals)
>KEY_CHAIN_VALUE      (Key chain key of interval INTERVAL_NUMBER)
>KEY_CHAIN_LENGTH     (Total length of current key chain)
>KEY_CHAIN_LAST_KEY   (Index of last key in key chain, could be
>                       different from KEY_CHAIN_LENGTH if multiple key
>                                           chains were concatenated.)

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec